## 下拉选择器

> **组件名：complex-picker**

下拉选择器 ,可搜索( 快速过滤下拉选项 ) 可清空

## 属性

##### label  --- 字符串类型 , 选择器的标签

##### treeArr  --- 数组类型 , 省市区树形数据, 默认已经集成了全国数据, 可以直接使用
    
```javascript
#例如
[
	{
		"code": "110000",
		"value": "北京市",
		"children":[]
	}
]
```


## 事件

##### @confirm  --- 弹出框中点击 确定 触发, 参数为选中的省市区对象

## 示例代码
    
```vue
<template>
	<view class="container">
		<complex-picker-region label="年份"  @confirm='confirm' />
	</view>
</template>

<script>
	// import 配置 测试用 实际引入遵循easycom, 直接导入 即可使用组件
	// import complexpickerregion from '@/uni_modules/complex-plugin/complex-picker-region/components/complex-picker-region/complex-picker-region.vue'
	export default {
		// components: {
		// 	complexpickerregion
		// },
		data() {
			return {
			
			}
		},
		methods: {
			confirm(selectData) {
				console.log('selectData', selectData);
			}
		}
	}
</script>

<style>
	.container {
		padding: 20px;
		font-size: 14px;
		line-height: 24px;
	}
</style>
```

    
