export function validateFormFields(requiredFields, formData) {
	const emptyField = requiredFields.find(field => formData[field] === "");
	// 如果找到空字段，则显示提示并返回  
	if (emptyField) {
		uni.showToast({
			title: `必填 * 字段不能为空`, // 可选：显示具体哪个字段为空  
			icon: "none"
		});
		return false; // 返回false表示验证失败  
	}
	return true;
}