import Vue from 'vue'
import App from './App'
import store from './store' // store
import plugins from './plugins' // plugins
import './permission' // permission
Vue.use(plugins)


// main.js
import uView from '@/uni_modules/uview-ui'
Vue.use(uView)


Vue.config.productionTip = false
Vue.prototype.$store = store

// const noMultipleClicks = Vue.prototype.$noMultipleClicks 
// // 防抖处理
// Vue.prototype.$noMultipleClicks  = function (event, func) {
//   let timer
//   let newFunc = func
//   if (event === 'click') {
//     newFunc = function () {
//       clearTimeout(timer)
//       timer = setTimeout(function () {
//         func.apply(this, arguments)
//       }, 300)
//     }
//   }
//   noMultipleClicks.call(this, event, newFunc)
// }

App.mpType = 'app'


const app = new Vue({
  ...App
})

app.$mount()
